Name:           python-scipion-em-xmipp
Version:        25.6.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Plugin to use Xmipp programs within the Scipion framework.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/I2PC/scipion-em-xmipp
Source:         %{pypi_source scipion_em_xmipp}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'scipion-em-xmipp' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-scipion-em-xmipp
Summary:        %{summary}

%description -n python3-scipion-em-xmipp %_description


%prep
%autosetup -p1 -n scipion_em_xmipp-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-scipion-em-xmipp -f %{pyproject_files}


%changelog
%autochangelog